function onBegin()
  disableMovement()
  playSound("event:/wildflowers/phonerings", position)
  local level = getLevel()
  -- Zoom in 2x, focusing on the point (150, 150), over the next 3.5 seconds
  coroutine.yield(level:ZoomTo(vector2(120, 110), 1.5, 3.5))
  wait(3)
  say("CommunityVoice_wildflowers_INTRO")
  coroutine.yield(level:ZoomBack(2))
end

function onEnd()
  enableMovement()
  setFlag("INTRO", true)
end